APIs / GitHub / Repository Issues

GitHub: Repository Issues

Repository Issues from GitHub as JSON. 1 credit per successful call.

GET /v1/github/repository-issues

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
ownerstringRequiredUp to 39 characters
repostringRequiredUp to 100 characters
pageintegerOptionalAny
per_pageintegerOptionalAny
statestringOptionalopen, closed, all
sortstringOptionalcreated, updated, comments
directionstringOptionalasc, desc
labelsstringOptionalUp to 200 characters
sincestringOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/github/repository-issues?owner=laravel&repo=framework&state=open" \
  -H "X-API-Key: $API_KEY"